Bug 242759 - Glock leak in gfs_create
Glock leak in gfs_create
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-kmod (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wendy Cheng
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 13:28 EDT by Wendy Cheng
Modified: 2010-01-11 22:26 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0577
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 15:07:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wendy Cheng 2007-06-05 13:28:23 EDT
Description of problem:
Bump into this problem while debugging bug #236565 (GFS SPECsfs panic).
Apparently a minor oversight while adding new functionality into GFS for 
RHEL5. GFS versions <= RHEL4 is immuned from this issue.

Upon memory pressure, VM starts to purge inode cache entries that would
fail gfs iget. GFS1 flags this error as "ENOMEM" but returns from gfs_create
call without releasing the glock.

Version-Release number of selected component (if applicable):
RHEL 5

How reproducible:
Under memory pressure when vm starts to purge inode cache. 

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Wendy Cheng 2007-06-05 14:57:55 EDT
Patch checked into CVS - move bug into modified state. 
Comment 5 errata-xmlrpc 2007-11-07 15:07:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0577.html

Note You need to log in before you can comment on or make changes to this bug.